# eric6.E5Gui.E5PathPicker

Module implementing a path picker widget.

### Global Attributes

None

### Classes

E5ComboPathPicker | Class implementing a path picker widget consisting of a combobox and a tool button to open a file dialog.
E5PathPicker | Class implementing a path picker widget consisting of a line edit and a tool button to open a file dialog.
E5PathPickerBase | Class implementing the base of a path picker widget consisting of a line edit or combo box and a tool button to open a file dialog.
E5PathPickerModes | Class implementing the path picker modes.

### Functions

None

## E5ComboPathPicker

Class implementing a path picker widget consisting of a combobox and a tool button to open a file dialog.

### Derived from

E5PathPickerBase

### Class Attributes

None

### Class Methods

None

### Methods

E5ComboPathPicker | Constructor
getPathItems | Public method to get the list of remembered paths.

### Static Methods

None

#### E5ComboPathPicker (Constructor)

E5ComboPathPicker(parent=None)

Constructor

parent (QWidget)
  reference to the parent widget

#### E5ComboPathPicker.getPathItems

getPathItems()

Public method to get the list of remembered paths.

Returns:
  list od remembered paths

Return Type:
  list of str

Up

## E5PathPicker

Class implementing a path picker widget consisting of a line edit and a tool button to open a file dialog.

### Derived from

E5PathPickerBase

### Class Attributes

None

### Class Methods

None

### Methods

E5PathPicker | Constructor

### Static Methods

None

#### E5PathPicker (Constructor)

E5PathPicker(parent=None)

Constructor

parent (QWidget)
  reference to the parent widget

Up

## E5PathPickerBase

Class implementing the base of a path picker widget consisting of a line edit or combo box and a tool button to open a file dialog.

### Signals

aboutToShowPathPickerDialog
  emitted before the file dialog is shown
editTextChanged(path)
  emitted when the entered path has changed (combo box based widget)
pathSelected(path)
  emitted after a path has been selected via the file dialog
pickerButtonClicked
  emitted when the picker button was pressed and the widget mode is custom
textChanged(path)
  emitted when the entered path has changed (line edit based widget)

### Derived from

QWidget

### Class Attributes

DefaultMode

### Class Methods

None

### Methods

E5PathPickerBase | Constructor
__pathEdited | Private slot handling editing of the path.
__showPathPickerDialog | Private slot to show the path picker dialog.
_editorText | Protected method to get the text of the editor.
_setEditorText | Protected method to set the text of the editor.
addItem | Public method to add a paths to the current list.
addItems | Public method to add paths to the current list.
buttonToolTip | Public method to get the tool button tool tip.
clear | Public method to clear the current path or list of paths.
clearEditText | Public method to clear the current path.
currentText | Public method to get the current path.
defaultDirectory | Public method to get the default directory.
editorEnabled | Public method to get the path editor's enabled state.
editorToolTip | Public method to get the editor tool tip.
filters | Public methods to get the filter string.
firstPath | Public method to get the first path of a list of entered paths.
isPickerEnabled | Public method to get the file dialog button enabled state.
isReadOnly | Public method to check the path picker for read only mode.
lastPath | Public method to get the last path of a list of entered paths.
mode | Public method to get the path picker mode.
path | Public method to get the current path.
paths | Public method to get the list of entered paths.
setButtonToolTip | Public method to set the tool button tool tip.
setCurrentIndex | Public slot to set the current index.
setDefaultDirectory | Public method to set the default directory.
setEditText | Public method to set the current path.
setEditorEnabled | Public method to set the path editor's enabled state.
setEditorToolTip | Public method to set the editor tool tip.
setFilters | Public method to set the filters for the path picker dialog.
setInsertPolicy | Public method to set the insertion policy of the combo box.
setMode | Public method to set the path picker mode.
setNameFilters | Public method to set the name filters for the completer.
setPath | Public method to set the current path.
setPathsList | Public method to set the paths list.
setPickerEnabled | Public method to set the enabled state of the file dialog button.
setReadOnly | Public method to set the path picker to read only mode.
setSizeAdjustPolicy | Public method to set the size adjust policy of the combo box.
setText | Public method to set the current path.
setWindowTitle | Public method to set the path picker dialog window title.
text | Public method to get the current path.
windowTitle | Public method to get the path picker dialog's window title.

### Static Methods

None

#### E5PathPickerBase (Constructor)

E5PathPickerBase(parent=None, useLineEdit=True)

Constructor

parent (QWidget)
  reference to the parent widget
useLineEdit (bool)
  flag indicating the use of a line edit

#### E5PathPickerBase.__pathEdited

__pathEdited(path)

Private slot handling editing of the path.

path (str)
  current text of the path line edit

#### E5PathPickerBase.__showPathPickerDialog

__showPathPickerDialog()

Private slot to show the path picker dialog.

#### E5PathPickerBase._editorText

_editorText()

Protected method to get the text of the editor.

Returns:
  text of the editor

Return Type:
  str

#### E5PathPickerBase._setEditorText

_setEditorText(text)

Protected method to set the text of the editor.

text (str)
  text to set

#### E5PathPickerBase.addItem

addItem(path)

Public method to add a paths to the current list.

path (str)
  path to add

#### E5PathPickerBase.addItems

addItems(pathsList)

Public method to add paths to the current list.

pathsList (list of str)
  list of paths to add

#### E5PathPickerBase.buttonToolTip

buttonToolTip()

Public method to get the tool button tool tip.

Returns:
  tool tip text

Return Type:
  str

#### E5PathPickerBase.clear

clear()

Public method to clear the current path or list of paths.

#### E5PathPickerBase.clearEditText

clearEditText()

Public method to clear the current path.

#### E5PathPickerBase.currentText

currentText(toNative=True)

Public method to get the current path.

toNative (bool)
  flag indicating to convert the path into a native format

Returns:
  current path

Return Type:
  str

#### E5PathPickerBase.defaultDirectory

defaultDirectory()

Public method to get the default directory.

Returns:
  default directory

Return Type:
  str

#### E5PathPickerBase.editorEnabled

editorEnabled()

Public method to get the path editor's enabled state.

Returns:
  flag indicating the enabled state

Return Type:
  bool

#### E5PathPickerBase.editorToolTip

editorToolTip()

Public method to get the editor tool tip.

Returns:
  tool tip text

Return Type:
  str

#### E5PathPickerBase.filters

filters()

Public methods to get the filter string.

Returns:
  filter string

Return Type:
  str

#### E5PathPickerBase.firstPath

firstPath(toNative=True)

Public method to get the first path of a list of entered paths.

toNative (bool)
  flag indicating to convert the path into a native format

Returns:
  first path

Return Type:
  str

#### E5PathPickerBase.isPickerEnabled

isPickerEnabled()

Public method to get the file dialog button enabled state.

Returns:
  flag indicating the enabled state

Return Type:
  bool

#### E5PathPickerBase.isReadOnly

isReadOnly()

Public method to check the path picker for read only mode.

Returns:
  flg indicating read only mode

Return Type:
  bool

#### E5PathPickerBase.lastPath

lastPath(toNative=True)

Public method to get the last path of a list of entered paths.

toNative (bool)
  flag indicating to convert the path into a native format

Returns:
  last path

Return Type:
  str

#### E5PathPickerBase.mode

mode()

Public method to get the path picker mode.

Returns:
  path picker mode

Return Type:
  E5PathPickerModes

#### E5PathPickerBase.path

path(toNative=True)

Public method to get the current path.

toNative (bool)
  flag indicating to convert the path into a native format

Returns:
  current path

Return Type:
  str

#### E5PathPickerBase.paths

paths(toNative=True)

Public method to get the list of entered paths.

toNative (bool)
  flag indicating to convert the path into a native format

Returns:
  entered paths

Return Type:
  list of str

#### E5PathPickerBase.setButtonToolTip

setButtonToolTip(tooltip)

Public method to set the tool button tool tip.

tooltip (str)
  text to be set as a tool tip

#### E5PathPickerBase.setCurrentIndex

setCurrentIndex(index)

Public slot to set the current index.

index (int)
  index of the item to set current

#### E5PathPickerBase.setDefaultDirectory

setDefaultDirectory(directory)

Public method to set the default directory.

directory (str)
  default directory

#### E5PathPickerBase.setEditText

setEditText(path, toNative=True)

Public method to set the current path.

path (str)
  path to be set
toNative (bool)
  flag indicating to convert the path into a native format

#### E5PathPickerBase.setEditorEnabled

setEditorEnabled(enable)

Public method to set the path editor's enabled state.

enable (bool)
  flag indicating the enable state

#### E5PathPickerBase.setEditorToolTip

setEditorToolTip(tooltip)

Public method to set the editor tool tip.

tooltip (str)
  text to be set as a tool tip

#### E5PathPickerBase.setFilters

setFilters(filters)

Public method to set the filters for the path picker dialog.

Note: Multiple filters must be separated by ';;'.

filters (str)
  string containing the file filters

#### E5PathPickerBase.setInsertPolicy

setInsertPolicy(policy)

Public method to set the insertion policy of the combo box.

policy (QComboBox.InsertPolicy)
  insertion policy

#### E5PathPickerBase.setMode

setMode(mode)

Public method to set the path picker mode.

mode (E5PathPickerModes)
  picker mode

#### E5PathPickerBase.setNameFilters

setNameFilters(filters)

Public method to set the name filters for the completer.

filters (list of str)
  list of file name filters

#### E5PathPickerBase.setPath

setPath(path, toNative=True)

Public method to set the current path.

path (str)
  path to be set
toNative (bool)
  flag indicating to convert the path into a native format

#### E5PathPickerBase.setPathsList

setPathsList(pathsList)

Public method to set the paths list.

pathsList (list of str)
  list of paths

#### E5PathPickerBase.setPickerEnabled

setPickerEnabled(enable)

Public method to set the enabled state of the file dialog button.

enable (bool)
  flag indicating the enabled state

#### E5PathPickerBase.setReadOnly

setReadOnly(readOnly)

Public method to set the path picker to read only mode.

readOnly (bool)
  flag indicating read only mode

#### E5PathPickerBase.setSizeAdjustPolicy

setSizeAdjustPolicy(policy)

Public method to set the size adjust policy of the combo box.

policy (QComboBox.SizeAdjustPolicy)
  size adjust policy

#### E5PathPickerBase.setText

setText(path, toNative=True)

Public method to set the current path.

path (str)
  path to be set
toNative (bool)
  flag indicating to convert the path into a native format

#### E5PathPickerBase.setWindowTitle

setWindowTitle(title)

Public method to set the path picker dialog window title.

title (str)
  window title

#### E5PathPickerBase.text

text(toNative=True)

Public method to get the current path.

toNative (bool)
  flag indicating to convert the path into a native format

Returns:
  current path

Return Type:
  str

#### E5PathPickerBase.windowTitle

windowTitle()

Public method to get the path picker dialog's window title.

Returns:
  window title

Return Type:
  str

Up

## E5PathPickerModes

Class implementing the path picker modes.

### Derived from

Enum

### Class Attributes

CustomMode
DirectoryMode
DirectoryShowFilesMode
NoMode
OpenFileMode
OpenFilesMode
SaveFileEnsureExtensionMode
SaveFileMode
SaveFileOverwriteMode

### Class Methods

None

### Methods

None

### Static Methods

None

Up